package door

import (
	"fmt"
	"syscall"
)

// Write string to client.
func (d *Door) Write(output string) {
	if d.Disconnected {
		return
	}
	buffer := []byte(output)
	n, err := syscall.Write(d.WRITEFD, buffer)
	if err != nil {
		fmt.Println("Write error/HANGUP?", n)
		d.Disconnected = true
	}
	// No, this isn't it.  The # of bytes in buffer == bytes written.
	if n != len(buffer) {
		fmt.Printf("Write fail: %d != %d\n", len(buffer), n)
	}
}
